<template>
  <div class="row mb-4 d-flex justify-content-between align-items-center">
    <div class="col-md-2 col-lg-2 col-xl-2">
      <img
        class="img-fluid rounded-3"
        v-if="product.image"
        :src="product.image"
        :alt="product.title"
      />
      <IconProduct class="img-fluid rounded-3" v-else />
    </div>
    <div class="col-md-3 col-lg-3 col-xl-3">
      <h6 @click="goToProduct" class="title text-muted">{{ product.title }}</h6>
    </div>
    <div class="col-md-3 col-lg-3 col-xl-3 d-flex">
      <button
        class="btn btn-link px-2"
        @click="product.qty > 1 && --product.qty"
      >
        <i class="fas fa-minus"></i>
      </button>

      <input
        id="form1"
        name="quantity"
        min="1"
        v-model="product.qty"
        type="number"
        class="form-control form-control-sm"
      />

      <button class="btn btn-link px-2" @click="++product.qty">
        <i class="fas fa-plus"></i>
      </button>
    </div>
    <div class="col-md-3 col-lg-2 col-xl-1 offset-lg-1">
      <h6 class="mb-0">{{ product.price }} €</h6>
    </div>
    <div class="col-md-1 col-lg-1 col-xl-1 text-end">
      <a @click="removeFromCart(product)" class="text-muted"
        ><i class="fas fa-times"></i
      ></a>
    </div>
  </div>
</template>

<script setup>
import IconProduct from '@/components/IconProduct.vue'
import { computed } from 'vue'
import { useCartStore } from '@/stores/cart'
import router from '@/router'
const props = defineProps({
  product: {
    type: Object,
    required: true
  }
})
const cartStore = useCartStore()
const { removeFromCart } = cartStore
const product = computed(() => props.product)

const goToProduct = () => {
  router.push(`/product/${product.value.id}`)
}
</script>

<style lang="scss" scoped>
.text-end,
.title {
  cursor: pointer;
}
</style>
